%define anolis_release 2
%bcond_without bootstrap

Name:           atinject
Version:        1.0.5
Release:        %{anolis_release}%{?dist}
Summary:        Dependency injection specification for Java (JSR-330)
License:        ASL 2.0
URL:            https://github.com/eclipse-ee4j/injection-api
BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Source0:        https://github.com/eclipse-ee4j/injection-api/archive/%{version}.tar.gz

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
%endif

%description
This package specifies a means for obtaining objects in such a way as
to maximize reusability, testability and maintainability compared to
traditional approaches such as constructors, factories, and service
locators (e.g., JNDI). This process, known as dependency injection, is
beneficial to most nontrivial applications.

%{?javadoc_package}

%prep
%setup -q -n inject-%{version}

%pom_remove_parent
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :moditect-maven-plugin

%mvn_alias : javax.inject:javax.inject
%mvn_file : atinject

%build
%mvn_build

%install
%mvn_install

%files -n %{?module_prefix}%{name} -f .mfiles
%license LICENSE.txt NOTICE.md

%changelog
* Tue Nov 21 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.5-2
- rebuild

* Sat Apr 15 2023 Funda Wang <fundawang@yeah.net> - 1.0.5-1
- Import package for anolis 23
